///////////////////////////////////////////////////////////////////////
// MathCore = a WYSIWYG equation editor + a powerful math engine     //
// Copyright (C) 2003 by Francesco Montorsi                          //
//                                                                   //
// This library is free software; you can redistribute it and/or     //
// modify it under the terms of the GNU Lesser General Public        //
// License as published by the Free Software Foundation; either      //
// version 2.1 of the License, or (at your option) any later         //
// version.                                                          //
//                                                                   //
// This library is distributed in the hope that it will be useful,   //
// but WITHOUT ANY WARRANTY; without even the implied warranty of    //
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the      //
// GNU Lesser General Public License for more details.               //
//                                                                   //
// You should have received a copy of the GNU Lesser General Public  //
// License along with this program; if not, write to the Free        //
// Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,   //
// MA 02111-1307, USA.                                               //
//                                                                   //
// For any comment, suggestion or feature request, please contact    //
// the administrator of the project at frm@users.sourceforge.net     //
//                                                                   //
///////////////////////////////////////////////////////////////////////



// this is generated automatically by configure script with autoconf...
// we cannot embed all the stuff of this file into it...
#include "mc/config.h"

// sanity check
#ifndef mcVERSION_STRING
#error The config.h file is not valid !
#endif


// Conditional compilation
// -----------------------

#ifndef mcDISABLE_GUI
	#define mcENABLE_GUI
#endif
#ifndef mcDISABLE_MATH
	#define mcENABLE_MATH
#endif
#ifndef mcDISABLE_IO
	#define mcENABLE_IO
#endif
#ifndef mcDISABLE_DATA
	#define mcENABLE_DATA
#endif



// External libraries dependencies
// -------------------------------

/* CINT support with wxScript is still buggy. */
#define wxSCRIPT_NO_CINT

/* UNDERC support with wxScript is still buggy. */
#define wxSCRIPT_NO_UNDERC


/* Without libxml2, MathCore compiles but MathML functions won't work. */
#ifndef mcDISABLE_LIBXML2
	#define mcUSE_LIBXML2
#endif

/* Without GMP, MathCore compiles but mcValue-derived classes won't work perfectly. */
#ifndef mcDISABLE_GMP
	#define mcUSE_GMP
#endif

/* Without wxScript, MathCore compiles but mcFunction won't work completely. */
#ifndef mcDISABLE_WXSCRIPT
	#define mcUSE_WXSCRIPT
#endif




// Debug mode macros
// -----------------

/* If defined, various log messages will be sent using the mcLog function. */
#ifdef __MCDEBUG__
	#define mcENABLE_LOG

	//#define mcENABLE_VERBOSE_CHECK
#endif

/* If defined, some additional operation will be done to collect static info. */
#ifdef __MCDEBUG__
	//#define mcENABLE_COW_DEBUG
#endif

/* If not defined, enable the COW */
#ifndef mcDISABLE_COW
	#define mcENABLE_COW
#else
	#undef mcENABLE_COW
	#undef mcENABLE_COW_DEBUG
	#undef mcENABLE_COW_DEEPDEBUG
#endif

/* If defined, mcElementArray::Draw() function will draw also the center line */
#ifdef __MCDEBUG__
	//#define mcELEMENTARRAY_DBG_DRAWCENTERLINE
#endif

/* If defined, mcElementArray::DrawSelection() will draw some decorations */
/* around the selection rectangle... */
//#define mcELEMENTARRAY_DRAW_DECORATIONS

/* If defined, mcMathLine won't use the bitmap and, when requested, */
/* it will directly draw the math object in the given DC */
//#define mcMATHLINE_DONOT_USE_BITMAP

/* If defined, the cursor will always be kept as long as possible. */
//#define mcGUI_CURSOR_LONG_AS_POSSIBLE

/* If defined, mcMathSystem will draw a bounding rectangle to show its size */
//#define mcMATHSYSTEM_DRAW_BOUNDINGBOX



// VERSION CONTROL - "inspired" from wxWidgets' one
// ----------------------------------------------------

/*  check if the current version is at least major.minor.release */
#define mcCHECK_VERSION(major,minor,release) \
    (mcMAJOR_VERSION > (major) || \
    (mcMAJOR_VERSION == (major) && mcMINOR_VERSION > (minor)) || \
    (mcMAJOR_VERSION == (major) && mcMINOR_VERSION == (minor) && \
	mcRELEASE_NUMBER >= (release)))
	

