///////////////////////////////////////////////////////////////////////
// MathCore = a WYSIWYG equation editor + a powerful math engine     //
// Copyright (C) 2003 by Francesco Montorsi                          //
//                                                                   //
// This library is free software; you can redistribute it and/or     //
// modify it under the terms of the GNU Lesser General Public        //
// License as published by the Free Software Foundation; either      //
// version 2.1 of the License, or (at your option) any later         //
// version.                                                          //
//                                                                   //
// This library is distributed in the hope that it will be useful,   //
// but WITHOUT ANY WARRANTY; without even the implied warranty of    //
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the      //
// GNU Lesser General Public License for more details.               //
//                                                                   //
// You should have received a copy of the GNU Lesser General Public  //
// License along with this program; if not, write to the Free        //
// Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,   //
// MA 02111-1307, USA.                                               //
//                                                                   //
// For any comment, suggestion or feature request, please contact    //
// the administrator of the project at frm@users.sourceforge.net     //
//                                                                   //
///////////////////////////////////////////////////////////////////////
//! \file   mcprec.h
//! \brief  Provides facilities for precompiled headers.
///////////////////////////////////////////////////////////////////////


#ifndef MCPREC_H
#define MCPREC_H

// all the hard work is already done in this header...
#include <wx/wxprec.h>

#ifdef WX_PRECOMP
	
	// ok; precompilation is supported
	#define mcPRECOMP
	#include "mc/mc.h"	// our precompiled header
#else

	// the source file who included this file should include the
	// individual headers it requires to work...
	// anyway, a header file which is *always* required is CONFIG.H...
	#include "mc/config.h"
	#include "mc/Setup.h"

#endif


#endif		// MCPREC_H

